Support Website Contact Support Blog

error e0400b

Hi,

I’m getting this error “error e0400b”, i’ve tried to install the previous version and open them but the projects i’ve tried to open can not be opened…it says that it’s created by a higher version.

At this point it’s not really a problem if this problem will be solved in another (higher) version.

Regards 

Stanley

 

Hey Geo Info,

If your project is created using a higher version of Pix4d, there is a way to downgrade  the version using Notepad ++ for the .pd file.  Make sure you make a second copy of your .p4d file  just in case. Then you need to edit the p4dVersion  in the .p4d file using Notepad ++ and, the p4dVersion  needs to be set to 10.

1 Like

Hi Selim,

Thanx for your comment.

I will download Notepad ++ and try it.

Hello, 

This error might occur with projects that were created with different versions, as Selim said.

When opening a project that was created with a very old version, you should gradually open it with the in-between versions to convert the file to the latest format.  

 

Hi, 

Ok, i think i understand.

So the best way is with every upgrade to open every project to be sure it will work in the next version…??

I have more then 40 projects and still growing (fast)…

Maybe it’s an idea to make this easier in the next versions?

 

thanx 

1 Like

I seem to have the same problem. As I try to open projects created with Pix4Dmapper 4.0.24 (not a very old version) I always get this error together with the following log output:

[Processing]: ProjectLoading

[Error]: XML file validation failed with XSD: C:/Program Files/Pix4Dmapper/resources/xsd/17/pix4d.xsd

[Error]: Error e0400b: Cannot open project E:\pixmap\projects\p376\processing\p376.p4d. Invalid format.

I tried 4 different projects, no way.
Reto

Hello again, 

For the case of Stanley, he shared the .p4d files with us and here is the workflow:

  1. Right click the .p4d file and click Edit with Notepad ++.

2.change the OptimizerType from _Classic _to _Ceres _in line 35 so that it appears as below: 


 <!–Optimizer–>
            <optimizerType>Ceres</optimizerType>


  1. Save the .p4d file and open the project again. 

 

This error occured because of the change in the calibration algorithm. 

I hope it works for you too Reto. 

1 Like

Hi Reto 

At first i renamed the newversion.p4d that didn’t work out.

Then i renamed the Original one and named the newversion.p4d as the original.

And it worked!!

 

 

 

I changed the optimizer type from Classic to Ceres and it worked.

Thank you, Marili, you saved my day :slight_smile:

Hello,

I am having a similar issue with getting an

“XML file validation failed with XSD: C:/Program Files/Pix4Dmapper/resources/xsd/17/pix4d.xsd” error.

Currently, I am trying to create a new project by merging to other projects (one processed with the most up to date version, and one from the previous version). I checked the file using Notepad++, and it looks like both are set to “CERES”.

I can try the successive opening in the file with older version since it is only one version below the current.

Is there something else I can try to fix this issue?

Hello David,

Can you please send us the .p4d file?

  • Which version did you use to create the project? 
  • Which version do you have installed on your computer at that moment? 

Marili,

One project was created using 4.1.24, and the other using 4.1.5. Currently, I have Version 4.1.24 (the newest one?) installed.

I will send both files.

Thank you!

-David

I’m using Pix4d version 3.3.29. Yes its old. Can’t upgrade the software as per T&C of my educational package. 

However, whatever project I have worked on is unable to be opened by the Pix4d software even after immediate completion of processing. Kindly assist

Hi JS S,

Could you give us more information on your issue? (Screenshots for example)
It means that you are able to process your project and then you are not able to open your projects anymore?

Maybe uninstall and reinstall could do the trick. We can provide us a download link for this version if needed.
We just want to understand what is going on.

Thanks,
Best,

Hi, yes I am able to process a project but unable to open the project anymore. Please see the screenshot below. If you suggest reinstalling the software kindly provide the link for the same version. TQ

 

Hi JS S,

Have you tried the solution described above?

It is described here as well.
XML file validation failed with XSD and e0400b

Basically, I have opened the .p4d file using a text editor (notepad ++) 
and I replaced the Optimizer type from _Classic _to _Ceres _as you will see in the screenshot below. 

If it does not do the trick, you can download the Pix4Dmapper 3.3.29 here.

Please note that older versions of our software might still hold some of your personal data. However even if you’re using an older version of our software, you can still let us know how to handle your data. Learn more and update your preferences now. More information here: https://pix4d.com/pix4d-and-the-gdpr/.

Best,